Description

The Rockomax Jumbo-64 tank has several problems in 1.4.2 (see screenshots).

| posted about it here: https://forum.kerbalspaceprogram.com/index.php?/topic/173161-142-rockomax-jumbo-64-offcenter/
Which was confirmed by a couple players.

User Sam Hall provided the following assessment and download containing his suggested fixes. | tested it, it works great.

1. Opening up the .mu file in a 3d editor reveals that the orange tank is just not modeled very cleanly. Parts of it are subtly lopsided,
there are split edge normals that were obviously split by accident and then just left that way, the whole thing is just a smidge
off-center. No biggie, 10 minute cleanup job in Blender.

2. When they converted the diffuse map from .png to .dds the export settings were set wrong, and the alpha channel was blanked. It
wasn't actually deleted; there still is a alpha channel, the image is still DXT5 not DXT1. The channel is just completely full of nothing
but white. Since the shader is using the alpha channel as its diffuse map, this makes every pixel on the tank's surface completely as
shiny as all hell, and makes the messed-up geometry visually pop a lot more.

2.B. Additionally, the normal map on the white tank got straight-up wrecked in the .png -> .dds conversion. It looks like they tried to
use DXT5nm compression but got the swizzling process completely wrong. You're supposed to move the data from the red channel
into the alpha channel and blank the blue and red channels, but instead they just duplicated the green channel over absolutely
everything. That doesn't give you a working normal map.

Fortunately the .pngs in 1.4.0 are still good, so going back and re-exporting everything the right way wasn't hard.

3. the ModulePartVariants in Rockomax64.cfg was set up all wrong. What you're seeing in Klesh's screenshot is the game loading
both the orange tank's mesh AND the white tank's mesh retextured with the orange skin at the same time, and since the orange
tank's mesh was modeled slightly off-center the two are clipping through each other and z-fighting like crazy. This took a little longer
to figure out since ModulePartVariants is documented basically nowhere but | managed to fix it by sticking both meshes inside
Rockomax64.mu and deleting Rockomax64_0O.mu and commenting out the MODEL line referring to it in the .cfg.

His fix download can be found here for reference:
https://www.dropbox.com/s/7cbhgyosuzwq7fc/Rockofix.zip?dl=0

History

#1 - 03/31/2018 01:47 PM - klesh

- Subject changed from Rockomax Jumbo-64 to Several Rockomax Jumbo-64 Problems

#2 - 04/05/2018 05:29 PM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

#4 - 04/26/2018 11:27 PM - Squelch
- Status changed from Investigating to Ready to Test
- Target version set to 1.4.3

- % Done changed from 20 to 80
https://forum.kerbalspaceprogram.com/index.php?/topic/173161-142-rockomax-jumbo-64-offcenter/
https://www.dropbox.com/s/7cbhgyosuzwq7fc/Rockofix.zip?dl=0

These problems are now fixed.

#5 - 04/27/2018 06:18 AM - SamHall

the specular map on rockomax_16 [AlbedoM] BW.dds is on upside down now

however it also looks like the shader's been switched to something that ignores the specular map, like KSP/Bumped instead of
KSP/BumpedSpecular... so uh, hooray for when two different mistakes cancel out and render each other irrelevant i guess?

#6 - 04/27/2018 09:01 AM - Squelch

SamHall wrote:

the specular map on rockomax_16 [AlbedoM] BW.dds is on upside down now

however it also looks like the shader's been switched to something that ignores the specular map, like KSP/Bumped instead of
KSP/BumpedSpecular... so uh, hooray for when two different mistakes cancel out and render each other irrelevant i guess?

That is a different issue and is still being worked on. This report is for the jumbo 64 tank

#7 - 05/02/2018 02:51 PM - klesh
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Squelch wrote:

That is a different issue and is still being worked on. This report is for the jumbo 64 tank

In that case since the offset, texture seam and z-fighting are gone, | will mark this one Resolved.

#8 - 10/15/2018 06:26 PM - joshua.collins

- Status changed from Resolved to Closed
